Bug 253043 - x11/rofi: convert to USES=meson
Summary: x11/rofi: convert to USES=meson
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks: 253044
  Show dependency treegraph
 
Reported: 2021-01-27 12:47 UTC by Jan Beich
Modified: 2021-03-16 16:37 UTC (History)
2 users (show)

See Also:
nomoo: maintainer-feedback+


Attachments
v1 (1.47 KB, patch)
2021-01-27 12:47 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-01-27 12:47:36 UTC
Created attachment 221960 [details]
v1

Meson is easier to debug and has fewer dependencies. Tested build on 11.4 i386, 12.1 amd64, 12.2 i386, 13.0 amd64.
Comment 1 Fernando Apesteguía freebsd_committer 2021-02-01 14:06:34 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 nomoo 2021-02-02 14:23:19 UTC
Yep, works fine for 12.1 amd64 and 12.2 amd64.
Jan Beich, thanks for 'pro tip' :D
Comment 3 commit-hook freebsd_committer 2021-03-16 16:35:43 UTC
A commit references this bug:

Author: jbeich
Date: Tue Mar 16 16:35:38 UTC 2021
New revision: 568581
URL: https://svnweb.freebsd.org/changeset/ports/568581

Log:
  x11/rofi: convert to USES=meson

  PR:		253043
  Approved by:	nomoo@nomoo.ru (maintainer)

Changes:
  head/x11/rofi/Makefile